


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

main() {
char t [41] ;
static void despace(char * s) {
int i,j,k,ch;
 j=strlen(s);
if (j==0)  return ;
 k=0;
/**/
 for (i=1; i<=j; i++) {
 ch=s[i-1];
if (ch!=' ') {
 k++;
if (i>k)  s[k-1]=ch;
}
}
/**/
if (j>k)  strlen(s)=k;
}	/* DESPACE*/
 strcpy(t,"");
 despace(t);
 strcpy(t,"A S P A C E D O U T N A M E");
 despace(t);
if (strcmp(t,"ASPACEDOUTNAME")==0)  fprintf(out_file, "%s", "TEST OK"); else  fprintf(out_file, "%s", imp_concat(imp_concat("FAILED '",t
),"'"));
exit(0);
}

/* end of automatic translation */

